Bug 844551 - Installing an EFI system does not clear boot disk's pmbr_boot flag
Installing an EFI system does not clear boot disk's pmbr_boot flag
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 00:37 EDT by Tim Flink
Modified: 2012-12-20 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-18.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:39:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Flink 2012-07-31 00:37:26 EDT
Description of problem:
When installing on a non-EFI system, the pmbr_boot flag is set, regardless of whether or not autopart is used.

When installing an EFI system on a disk that has been previously used for a non-EFI install, the flag is not cleared (using autopart or not) and causes some EFI systems to skip over the EFI entry after the installation is complete.

Hardware:
Asus Sabretooth 990FX
AMD FX-8500
Samsung 830 SSD

Version-Release number of selected component (if applicable):
anaconda-17.29

How reproducible:
Every Time

Steps to Reproduce:
1. Install a non-EFI system
2. Reuse the same boot disk for an EFI install
3. Reboot
  
Actual results:
Some systems are not able to boot an EFI entry on a disk with the pmbr_boot flag set

Expected results:
The pmbr_boot flag should be cleared so that there are no potential issues with booting the installed system.

Workarounds:
The pmbr_boot flag can be easily cleared with parted.
Comment 1 Fedora Update System 2012-10-31 22:53:15 EDT
anaconda-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.22-1.fc18
Comment 2 Fedora Update System 2012-11-01 14:29:24 EDT
Package anaconda-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17432/anaconda-18.22-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-02 00:07:30 EDT
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18
Comment 4 Fedora Update System 2012-11-02 21:08:59 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 5 Fedora Update System 2012-11-05 20:42:12 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 6 Fedora Update System 2012-11-06 21:14:23 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 7 Fedora Update System 2012-12-20 10:39:44 EST
anaconda-18.23-1.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.